import { Base, Type } from "igniteui-angular-core";
import { List$1 } from "igniteui-angular-core";
import { CT_SlicerStyleElement } from "./CT_SlicerStyleElement";
import { XmlPartManagerBase } from "./XmlPartManagerBase";
/**
 * @hidden
 */
export declare class CT_SlicerStyle extends Base {
    static $t: Type;
    private b;
    private d;
    constructor();
    a: List$1<CT_SlicerStyleElement>;
    c: string;
    static e(a: XmlPartManagerBase, b: string): {
        p1: string;
    };
    static f(a: XmlPartManagerBase, b: string, c: string): void;
}
